#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Category : ContentPage
    {
        public Category()
        {
            Title = "Range Padding - Additional";
			StackLayout layout = new StackLayout (){ };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
                
//                Legend = new ChartLegend {ToggleSeriesVisibility = true},
                
                PrimaryAxis = new CategoryAxis
                {
//                    LabelPlacement = LabelPlacement.BetweenTicks,
//                    Title = {Text = "Category Axis"}
                },

				SecondaryAxis = new NumericalAxis {RangePadding = NumericalPadding.Additional},

                Series = new ChartSeriesCollection
                {
					new LineSeries()
                    {
                        Label = "Column Series",
                        ItemsSource = MainPage.GetCategoryData()
                    }
                }
            };
			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            return chart;
        }
    }
}