#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace ChartSample
{
    public class Numerical : ContentPage
    {
        public Numerical()
        {
            Title = "Numerical Axis";
			StackLayout layout = new StackLayout (){ Padding = new Thickness (5, 15, 5, 5) };
			layout.Children.Add (GetChart ());
			Content = layout;
        }

        private static SfChart GetChart()
        {
            var chart = new SfChart
            {
//                Legend = new ChartLegend {ToggleSeriesVisibility = true},
				PrimaryAxis = new NumericalAxis (){Interval = 1},
				SecondaryAxis = new NumericalAxis (),
            };

            chart.Series.Add(new ColumnSeries()
            {
                Label = "Column Series",
                ItemsSource = MainPage.GetNumericalData(),
            });
			chart.VerticalOptions = LayoutOptions.FillAndExpand;

            return chart;
        }
    }
}