#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
using System.Threading.Tasks;


#endregion
using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using Xamarin.Forms;

namespace ChartSample
{
    public partial class MultipleSeries : ContentPage
    {
		int index;

		ViewModel viewModel;
        public MultipleSeries()
        {
//            InitializeComponent();
            Title = "100% Stacked Area";



//			public StackedArea()
//			{
				InitializeComponent();
//				(Chart.SecondaryAxis as NumericalAxis).Maximum = 170;
//				(Chart.SecondaryAxis as NumericalAxis).Minimum = 0;
				viewModel = Chart.BindingContext as ViewModel;
				UpdateData();
			}

			private async void UpdateData()
			{
				while (true)
				{
					await Task.Delay(300);
					Chart.Series[index].ItemsSource = Data(index);
					Chart.Series[index].XBindingPath = "Name";
					((StackingAreaSeries)Chart.Series[index]).YBindingPath = "Value";
					index++;
					if (index < 3)
						continue;
					break;
				}
			}

			private IEnumerable<Model> Data(int index)
			{
				if (index == 0)
					return viewModel.Data1;
				return index == 1 ? viewModel.Data2 : viewModel.Data3;
			}
		}
	}



//			(Chart.PrimaryAxis as CategoryAxis).Interval = 1;
//			ChartLayout.Padding = new Thickness (5, 15, 5, 5);
//			(Chart.SecondaryAxis as NumericalAxis).Minimum = 28;
//			(Chart.SecondaryAxis as NumericalAxis).Maximum = 52;
//			(Chart.PrimaryAxis as CategoryAxis).LabelPlacement = LabelPlacement.BetweenTicks;
//            var viewModel = new ViewModel();
//            BindingContext = viewModel;
//
//            this.Chart.PrimaryAxis.LabelStyle.LabelFormat = "MM/dd/yyyy";
//            DateAxis.Interval = 2;
//            DateAxis.IntervalType = DateTimeIntervalType.Months;
//        }

//        protected override void OnSizeAllocated(double width, double height)
//        {
//            if (this.ChartLayout != null)
//            {
//                this.ChartLayout.Orientation = width > height ? StackOrientation.Horizontal : StackOrientation.Vertical;
//            }
//            base.OnSizeAllocated(width, height);
//        }
//    }

//    public class ViewModel1 : BindableObject
//    {
//        private readonly Random random = new Random();
//
//        public List<ChartDataPoint> PieData { get; set; }
//
//        public List<ChartDataPoint> Data1 { get; set; }
//
//        public List<ChartDataPoint> Data2 { get; set; }
//
//        public ViewModel1()
//        {
//            Data1 = new List<ChartDataPoint>();
//
//            for (var i = 1; i <= 12; i++)
//            {
//                Data1.Add(new ChartDataPoint(new DateTime(2014, i, 1), random.Next(10, 100)));
//            }
//
//            Data2 = new List<ChartDataPoint>();
//
//            for (var i = 1; i <= 12; i++)
//            {
//                Data2.Add(new ChartDataPoint(new DateTime(2014, i, 1), random.Next(10, 100)));
//            }
//
//            PieData = new List<ChartDataPoint>
//            {
//                new ChartDataPoint(Data1[0].XValue, 48),
//                new ChartDataPoint(Data1[1].XValue, 38),
//                new ChartDataPoint(Data1[2].XValue, 28),
//                new ChartDataPoint(Data1[3].XValue, 33),
//                new ChartDataPoint(Data1[4].XValue, 25),
//                new ChartDataPoint(Data1[5].XValue, 34)
//            };
//        }
//    }
//}